﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    public partial class Form2 : Form
    {
        private int[] num;
        private int search;
        public Form2()
        {
            InitializeComponent();
            num = new int[0];
            search = -1;
        }
        public Form2(int[] num,int search)
        {
            InitializeComponent();
            this.num = num;
            this.search = search;
        }
        protected override void OnPaint(PaintEventArgs e)
        {
            //base.OnPaint(e);
            Font font = new Font("Verdana",14);
            Font font_word = new Font("Verdana", 12);
            SolidBrush brush_check = new SolidBrush(Color.Red);
            SolidBrush brush = new SolidBrush(Color.Blue);
            SolidBrush brush_word = new SolidBrush(Color.Black);
            Graphics g = e.Graphics;
            int top = 20;

            for (int j = 0; j < num.Length; j++)
            {
                top = 20 * (j+1);
                for (int i = 0; i <= j; i++)
                {
                    g.DrawString("找第 " + (j+1) + " 次", font_word, brush_word, 0, top);
                    if (num[i] == search)
                    {
                        g.DrawString(num[i].ToString(), font, brush_check, 30 * i+90, top);//找到
                        g.DrawString("找到了", font, brush_check, 30 * (i+1) + 90, top);//找到
                        return;
                    }
                    else
                        g.DrawString(num[i].ToString(), font, brush, 30 * i+90, top);
                }
            }
            g.DrawString("找不到", font, brush_check, 0, top+20);//找到
        }
       
    }
}
